# GimpUi.prop_icon_image_new

    @accepts(GObject.Object, unicode, Gtk.IconSize)
    @returns(Gtk.Widget)
    def prop_icon_image_new(config, property_name, icon_size):
        # Python wrapper for gimp_prop_icon_image_new()

Creates a widget to display a icon image representing the value of the specified string property, which should encode an icon name. See gtk_image_new_from_icon_name() for more information.

Since 2.10

config

  Object to which property is attached.

property_name

  Name of string property.

icon_size

  Size of desired icon image.

Returns